- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_lldp_interface – Manage LLDP interfaces configuration on network devices

New in version 2.4.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Updated modules released with more functionality

Alternative

  Use platform-specific “[netos]_lldp_interfaces” module

## Synopsis

- This module provides declarative management of LLDP interfaces configuration on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of interfaces LLDP should be configured on.
name - |  | Name of the interface LLDP should be configured on.
purge - | Default: "no" | Purge interfaces not defined in the aggregate parameter.
state - | Choices: present ← absent enabled disabled | State of the LLDP configuration.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: Configure LLDP on specific interfaces
      net_lldp_interface:
        name: eth1
        state: present

    - name: Disable LLDP on specific interfaces
      net_lldp_interface:
        name: eth1
        state: disabled

    - name: Enable LLDP on specific interfaces
      net_lldp_interface:
        name: eth1
        state: enabled

    - name: Delete LLDP on specific interfaces
      net_lldp_interface:
        name: eth1
        state: absent

    - name: Create aggregate of LLDP interface configurations
      net_lldp_interface:
        aggregate:
        - { name: eth1 }
        - { name: eth2 }
        state: present

    - name: Delete aggregate of LLDP interface configurations
      net_lldp_interface:
        aggregate:
        - { name: eth1 }
        - { name: eth2 }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['set service lldp eth1 disable']

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.